package com.hw.wms.domain;

import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 移库合库记录对象 wms_move
 *
 * @author xins
 * @date 2024-01-09
 */
public class WmsMove extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 原材料移库合库记录ID */
    private Long moveId;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String taskCode;

    /** 仓库ID */
    @Excel(name = "仓库ID")
    private Long warehouseId;

    /** 原库位编码 */
    @Excel(name = "原库位编码")
    private String oriLocationCode;

    /** 目标库位编码 */
    @Excel(name = "目标库位编码")
    private String targetLocationCode;

    /** 物料批次 */
    @Excel(name = "物料批次")
    private String instockBatch;

    /** 物料ID */
    @Excel(name = "物料ID")
    private Long materialId;

    /** 计划出库数量 */
    @Excel(name = "计划出库数量")
    private BigDecimal planAmount;

    /** 实际出库数量 */
    @Excel(name = "实际出库数量")
    private BigDecimal realOutstockAmount;

    /** 计划入库数量 */
    @Excel(name = "计划入库数量")
    private BigDecimal realInstockAmount;

    /** 操作类型(0自动,1人工,2强制,3调度) */
    @Excel(name = "操作类型(0自动,1人工,2强制,3调度)")
    private String operationType;

    /** 移库方式（1：人工移库 2：AGV移库 ） */
    @Excel(name = "移库方式", readConverterExp = "1=：人工移库,2=：AGV移库")
    private String moveWay;

    /** 移库类型(1移库，2合库) */
    @Excel(name = "移库类型(1移库，2合库)")
    private String moveType;

    /** 申请原因 */
    @Excel(name = "申请原因")
    private String applyReason;

    /** 审核原因 */
    @Excel(name = "审核原因")
    private String auditReason;

    /** 审核状态(0待审核,1审核通过,2审核未通过) */
    @Excel(name = "审核状态(0待审核,1审核通过,2审核未通过)")
    private String auditStatus;

    /** 执行状态(0待执行,1执行中,2执行完成) */
    @Excel(name = "执行状态(0待执行,1执行中,2执行完成)")
    private String executeStatus;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyBy;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyDate;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditDate;

    /** 最后更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    private String warehouseName;

    private String materialName;

    /** 移库合库记录明细;原材料入库记录对应的明细信息信息 */
    private List<WmsMoveDetail> wmsMoveDetailList;

    /** 执行状态(0待执行,1执行中,2执行完成)  多个以,隔开*/
    private String executeStatusStr;

    public void setMoveId(Long moveId)
    {
        this.moveId = moveId;
    }

    public Long getMoveId()
    {
        return moveId;
    }
    public void setTaskCode(String taskCode)
    {
        this.taskCode = taskCode;
    }

    public String getTaskCode()
    {
        return taskCode;
    }
    public void setWarehouseId(Long warehouseId)
    {
        this.warehouseId = warehouseId;
    }

    public Long getWarehouseId()
    {
        return warehouseId;
    }
    public void setOriLocationCode(String oriLocationCode)
    {
        this.oriLocationCode = oriLocationCode;
    }

    public String getOriLocationCode()
    {
        return oriLocationCode;
    }
    public void setTargetLocationCode(String targetLocationCode)
    {
        this.targetLocationCode = targetLocationCode;
    }

    public String getTargetLocationCode()
    {
        return targetLocationCode;
    }

    public String getInstockBatch() {
        return instockBatch;
    }

    public void setInstockBatch(String instockBatch) {
        this.instockBatch = instockBatch;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getPlanAmount() {
        return planAmount;
    }

    public void setPlanAmount(BigDecimal planAmount) {
        this.planAmount = planAmount;
    }

    public BigDecimal getRealOutstockAmount() {
        return realOutstockAmount;
    }

    public void setRealOutstockAmount(BigDecimal realOutstockAmount) {
        this.realOutstockAmount = realOutstockAmount;
    }

    public BigDecimal getRealInstockAmount() {
        return realInstockAmount;
    }

    public void setRealInstockAmount(BigDecimal realInstockAmount) {
        this.realInstockAmount = realInstockAmount;
    }

    public void setOperationType(String operationType)
    {
        this.operationType = operationType;
    }

    public String getOperationType()
    {
        return operationType;
    }
    public void setMoveWay(String moveWay)
    {
        this.moveWay = moveWay;
    }

    public String getMoveWay()
    {
        return moveWay;
    }
    public void setMoveType(String moveType)
    {
        this.moveType = moveType;
    }

    public String getMoveType()
    {
        return moveType;
    }
    public void setApplyReason(String applyReason)
    {
        this.applyReason = applyReason;
    }

    public String getApplyReason()
    {
        return applyReason;
    }
    public void setAuditReason(String auditReason)
    {
        this.auditReason = auditReason;
    }

    public String getAuditReason()
    {
        return auditReason;
    }
    public void setAuditStatus(String auditStatus)
    {
        this.auditStatus = auditStatus;
    }

    public String getAuditStatus()
    {
        return auditStatus;
    }
    public void setExecuteStatus(String executeStatus)
    {
        this.executeStatus = executeStatus;
    }

    public String getExecuteStatus()
    {
        return executeStatus;
    }
    public void setApplyBy(String applyBy)
    {
        this.applyBy = applyBy;
    }

    public String getApplyBy()
    {
        return applyBy;
    }
    public void setApplyDate(Date applyDate)
    {
        this.applyDate = applyDate;
    }

    public Date getApplyDate()
    {
        return applyDate;
    }
    public void setAuditBy(String auditBy)
    {
        this.auditBy = auditBy;
    }

    public String getAuditBy()
    {
        return auditBy;
    }
    public void setAuditDate(Date auditDate)
    {
        this.auditDate = auditDate;
    }

    public Date getAuditDate()
    {
        return auditDate;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }
    public void setBeginTime(Date beginTime)
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime()
    {
        return beginTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }

    public List<WmsMoveDetail> getWmsMoveDetailList()
    {
        return wmsMoveDetailList;
    }

    public void setWmsMoveDetailList(List<WmsMoveDetail> wmsMoveDetailList)
    {
        this.wmsMoveDetailList = wmsMoveDetailList;
    }

    public String getExecuteStatusStr() {
        return executeStatusStr;
    }

    public void setExecuteStatusStr(String executeStatusStr) {
        this.executeStatusStr = executeStatusStr;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("moveId", getMoveId())
            .append("taskCode", getTaskCode())
            .append("warehouseId", getWarehouseId())
            .append("oriLocationCode", getOriLocationCode())
            .append("targetLocationCode", getTargetLocationCode())
            .append("operationType", getOperationType())
            .append("moveWay", getMoveWay())
            .append("moveType", getMoveType())
            .append("applyReason", getApplyReason())
            .append("auditReason", getAuditReason())
            .append("auditStatus", getAuditStatus())
            .append("executeStatus", getExecuteStatus())
            .append("applyBy", getApplyBy())
            .append("applyDate", getApplyDate())
            .append("auditBy", getAuditBy())
            .append("auditDate", getAuditDate())
            .append("updateBy", getUpdateBy())
            .append("updateDate", getUpdateDate())
            .append("beginTime", getBeginTime())
            .append("endTime", getEndTime())
            .append("wmsMoveDetailList", getWmsMoveDetailList())
            .toString();
    }
}
